Edit your own message
PATCH /api/member/messages/{messageId}. Edit your own message. Headless LMS Chats API reference.
Sender only, while the chat is open and not locked. 409 when the message is deleted.
Path Parameters
messageId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/member/messages/string" \ -H "Content-Type: application/json" \ -d '{ "body": "string" }'{ "orgId": "string", "id": "string", "communityId": "string", "chatId": "string", "orgUserId": "string", "body": "string", "replyToId": "string", "editedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sender": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "role": "owner" }, "attachments": [ { "assetId": "string", "url": "string" } ], "reactions": { "property1": 0, "property2": 0 }, "viewerReaction": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Send a message POST
POST /api/member/chats/{chatId}/messages. Send a message. Headless LMS Chats API reference.
Delete your message, or one in a community you moderate DELETE
DELETE /api/member/messages/{messageId}. Delete your message, or one in a community you moderate. Headless LMS Chats API reference.